JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.devices.terminate('deviceId');import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.terminate(
device_id="deviceId",
)package main
import (
"context"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Devices.Terminate(
context.TODO(),
"deviceId",
mobileruncloud.DeviceTerminateParams{},
)
if err != nil {
panic(err.Error())
}
}mobilerun-cloud devices terminate \
--api-key 'My API Key' \
--device-id deviceIdcurl --request DELETE \
--url https://api.mobilerun.ai/devices/{deviceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"previousDeviceId": "<string>",
"terminateAt": "2023-11-07T05:31:56Z"
}
'
{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Devices
Terminate a device
Terminates the device and releases its resources. Termination can be scheduled for a future time or chained from a previous device via the request body, in which case a service key is required.
DELETE
/
devices
/
{deviceId}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.devices.terminate('deviceId');import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.terminate(
device_id="deviceId",
)package main
import (
"context"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Devices.Terminate(
context.TODO(),
"deviceId",
mobileruncloud.DeviceTerminateParams{},
)
if err != nil {
panic(err.Error())
}
}mobilerun-cloud devices terminate \
--api-key 'My API Key' \
--device-id deviceIdWas this page helpful?
⌘I